<template>
  <div class="createFamily">
    <div class="login-box shadow-sm mb-4 bg-white rounded">
      <div class="p-5">
        <h5>Crea una nueva familia:</h5>
        <form @submit.prevent="createFamily">
          <input class="form-control form-input" v-model="name" type="text" name="name" placeholder="Escribe un nombre" required>
          <div class="mt-4">
           <button :disabled="is_created" class="btn btn-primary btn-md w-100">CREAR</button>
          </div>
       </form>
    </div>
  </div>
</div>
</template>

<script>
  import { RTDB } from '../main.js';
  import * as crypto from 'crypto'; 
  export default {
    name: 'createFamily',
    data () {
      return {
        name: "",
        is_created:false
      };
    },
    methods:{
      createFamily(){
        let code = crypto.randomBytes(3).toString('hex');
        this.is_created=true
        RTDB.ref('family/'+code+'/').set({
          name: this.name
        }),
        RTDB.ref('usuario/'+this.$store.getters.getId).update({
          family:code
         });
        this.$store.dispatch('setCodeFamily',code)
        this.$router.push({name:'home'})
      },
    },
  }
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped lang="scss">
.login-box{
  max-width: 480px;
}
.form-input, .form-input:focus{
  border-color: #3C394A;
  border-bottom-width: 2px;
  border-top: 0;
  border-right: 0;
  border-left: 0;
  border-radius: 0;
  box-shadow: none;
  max-width: 100%;
}
.form-input:focus{
  border-color: #009A9A;
}
.btn-primary {
  color: #fff;
  background-color: #009A9A;
  border-color: #009A9A;
}
.btn-primary:hover{
  background-color: #45b5b5 !important;
}

h5, h3 {
  color: #45b5b5;
  font-weight: bold;
}
</style>
